ru.bitel.bgbilling.modules.drweb.server.bean

## Class DrWebManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.drweb.server.bean.DrWebManager

-     public class DrWebManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrWebManager(java.sql.Connection con, ParameterMap moduleSetup, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activeAgent(AgentAVD agent)`
    `void` | `blockAgent(AgentAVD agent, int monthCount)`
    `void` | `checkMaxAgentCount(int cid)`
    `void` | `deleteAgent(AgentAVD agent)`
    `void` | `doChanges(AgentAVD agent)` Переназначает тариф на сервере AVDESK
    `int` | `getActualAgentCount(int cid)`
    `AgentAVD` | `getAgent(int id)`
    `java.util.List<AgentAVD>` | `getAgentList(java.util.Date date)`
    `java.util.List<AgentAVD>` | `getAgentList(int cid)`
    `java.util.List<AgentAVD>` | `getAgentListAll()`
    `java.util.List<AgentAVD>` | `getLockAgent()`
    `AgentAVD` | `newAgent(int cid, int tariffId)`
    `void` | `prolongAgent(AgentAVD agent, java.util.Date dateTo)`
    `void` | `toChangeTariff(AgentAVD agent, int nextTariffId)` Назначает следующий тариф для агента

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrWebManager

          public DrWebManager(java.sql.Connection con,
                              ParameterMap moduleSetup,
                              int mid)

  - ### Method Detail

    - #### newAgent

          public AgentAVD newAgent(int cid,
                                   int tariffId)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgentList

          public java.util.List<AgentAVD> getAgentList(int cid)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgentListAll

          public java.util.List<AgentAVD> getAgentListAll()
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgent

          public AgentAVD getAgent(int id)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgentList

          public java.util.List<AgentAVD> getAgentList(java.util.Date date)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getLockAgent

          public java.util.List<AgentAVD> getLockAgent()
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### prolongAgent

          public void prolongAgent(AgentAVD agent,
                                   java.util.Date dateTo)

    - #### blockAgent

          public void blockAgent(AgentAVD agent,
                                 int monthCount)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAgent

          public void deleteAgent(AgentAVD agent)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### activeAgent

          public void activeAgent(AgentAVD agent)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toChangeTariff

          public void toChangeTariff(AgentAVD agent,
                                     int nextTariffId)
                              throws ru.bitel.bgbilling.common.BGException

      Назначает следующий тариф для агента
      Parameters:
        `agent` -
        `groupTitle` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doChanges

          public void doChanges(AgentAVD agent)
                         throws ru.bitel.bgbilling.common.BGException

      Переназначает тариф на сервере AVDESK
      Parameters:
        `agent` -
        `groupTitle` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getActualAgentCount

          public int getActualAgentCount(int cid)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkMaxAgentCount

          public void checkMaxAgentCount(int cid)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`